/***  Dimenshon CSS Graph ***/
/*                          */
/*              Version 0.3 */
/*          Created by Miyu */
/*                          */
/****************************/
/*                          */
/* Copyright 2019           */
/*                          */
/****************************/

@keyframes degreeHue {
    0% {
        filter: hue-rotate(0deg);
    }
    100% {
        filter: hue-rotate(360deg);
    }
}

@keyframes degreeHueR {
    0% {
        filter: hue-rotate(360deg);
    }
    100% {
        filter: hue-rotate(0deg);
    }
}

@font-face {
    font-family: 'Play';
    font-style: normal;
    font-weight: 400;
    src: local('Play'), url('../fonts/Play-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Play';
    font-style: normal;
    font-weight: 700;
    src: local('Play'), url('../fonts/Play-Bold.ttf') format('truetype');
}

@font-face {
	font-family: 'TrajanPro-Regular';
	src: url('font/TrajanPro-Regular.eot?#iefix') format('embedded-opentype'),  url('font/TrajanPro-Regular.otf')  format('opentype'),
	url('font/TrajanPro-Regular.woff') format('woff'), url('font/TrajanPro-Regular.ttf')  format('truetype'), url('font/TrajanPro-Regular.svg#TrajanPro-Regular') format('svg');
	font-weight: normal;
	font-style: normal;
}

body {
    background-position: center center;
    background-image: url('../img/back-bg.jpg');
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;

    font-family: 'TrajanPro-Regular';
    font-size: 14px;

    color: white;
}

a,
a:focus,
a:link {
    cursor: pointer;
    text-decoration: none;
    color: #a97a30;
}

a:hover {
    text-decoration: none;
    color: #f9ca80;
}

p {
    padding-top: 10px;
    padding-bottom: 10px;
}

input {
    color: black;
}

select {
    color: black !important;
}

.button,
.button:focus,
.button:link {
    display: inline-block;

    padding: 30px 40px;

    font-family: 'TrajanPro-Regular';
    font-size: 18px;

    border: 0;
    background-image: url('../img/border-down.png');
    background-size: 100% 50%;
    background-position: center top;
    background-color: transparent;

    color: #d9ba70;
}

.button:hover {
    opacity: .75;
    color: #997a30;
}

button,
button:focus,
button:link {
    padding: 8px 12px;

    font-family: 'TrajanPro-Regular';
    font-size: 18px;

    border: 0;
    color: #d9ba70;
}

button:hover {
    opacity: .75;
    color: #997a30;
}

h3.title {
    margin-top: 0;

    font-weight: 600;
    font-family: 'TrajanPro-Regular';

    color: #e9ba70;
}

textarea,
#loginForm input[type="text"],
#loginForm input[type="password"],
#loginForm input[type="email"] {
    width: 100%;

    margin-top: 5px;
    margin-bottom: 5px;

    padding: 8px 12px;

    border: 0;

    background-color: transparent;

    text-align: center;
    color: #c99a50;
}

textarea:hover,
textarea:focus,
#loginForm input[type="text"]:hover,
#loginForm input[type="password"]:hover,
#loginForm input[type="text"]:focus,
#loginForm input[type="password"]:focus {
    color: #f9ca80;
}

textarea {
    text-align: left;
    resize: vertical;
}

#loginForm button,
#loginForm button:focus,
#loginForm button:link {
    padding: 30px 40px;

    font-family: 'TrajanPro-Regular';
    font-size: 18px;

    border: 0;
    background-image: url('../img/border-down.png');
    background-size: 100% 50%;
    background-position: center top;
    background-color: transparent;

    color: #d9ba70;
}

#loginForm button:hover {
    opacity: .75;
    color: #997a30;
}

.border-down {
    z-index: 0;

    position: absolute;
    left: 0px;
    bottom: -20px;

    width: 100%;
    height: 35px;

    background-image: url('../img/border-down.png');
    background-position: center center;
    background-size: 100% 35px;
}

.border-up-left-nav {
    z-index: 0;

    position: absolute;
    left: -5px;
    top: -5px;

    width: 60px;
    height: 60px;

    background-image: url('../img/border-up-left.png');
    background-position: center top;
    background-size: 60px 108px;

    text-align: center;
}

.border-up-right-nav {
    z-index: 0;

    position: absolute;
    right: -5px;
    top: -5px;

    width: 60px;
    height: 60px;

    background-image: url('../img/border-up-right.png');
    background-position: center top;
    background-size: 60px 108px;

    text-align: center;
}

.border-up-left {
    z-index: 0;

    position: absolute;
    left: -5px;
    top: -5px;

    width: 60px;
    height: 108px;

    background-image: url('../img/border-up-left.png');
    background-position: center center;
    background-size: 60px 108px;

    text-align: center;
}

.border-up-right {
    z-index: 0;

    position: absolute;
    right: -5px;
    top: -5px;

    width: 70px;
    height: 135px;

    background-image: url('../img/border-up-right.png');
    background-position: center center;
    background-size: 70px 135px;

    text-align: center;
}

.border-up {
    z-index: 0;

    position: absolute;
    left: 0px;
    top: -175px;

    width: 100%;
    height: 350px;

    background-image: url('../img/border-up.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 100% 350px;

    text-align: center;
}

.border-up img {
    padding-left: 10px;
    margin-top: 155px;
}

.under-border {
    position: relative;
    z-index: 1;
}

.navbar.navbar-first {
    font-family: 'TrajanPro-Regular';
    background: transparent;

    border-color: transparent;
    border-radius: 0;

    box-shadow: unset;
    position: relative;

    z-index: 999;
}

.navbar.navbar-first .navbar-brand {
    height: auto;
}

.navbar.navbar-first img {
    width: 400px;
    margin-top: 15px;
    margin-bottom: 15px;
}

.navbar.navbar-first .pull-right {
    padding-top: 55px;
    padding-bottom: 55px;

    list-style-type: none;
}

.navbar.navbar-first .pull-right li {
    padding-left: 15px;
    padding-right: 15px;

    display: inline-block;
}

.navbar.navbar-first .pull-right li a,
.navbar.navbar-first .pull-right li a:focus,
.navbar.navbar-first .pull-right li a:link {
    color: white;
    text-decoration: none;
}

.navbar.navbar-first .pull-right li a:hover {
    color: #ccc;
}

.navbar.navbar-second {
    background: transparent;
    background-image: url('../img/bg-color.png');
    background-repeat: repeat;

    border-color: transparent;
    border-radius: 0;

    box-shadow: unset;

    font-family: 'TrajanPro-Regular';
    position: relative;

    margin-bottom: 60px;
    z-index: 1;
}

.navbar.navbar-second:hover {
    z-index: 99;
}

.navbar.navbar-second li a,
.navbar.navbar-second li a:focus,
.navbar.navbar-second li a:link {
    cursor: pointer;

    color: #a97a30;
    text-decoration: none;

    text-shadow: unset;
}

.navbar.navbar-second li a:hover {
    color: #995a10;
}

.navbar.navbar-second .navbar-toggle,
.navbar.navbar-second .navbar-toggle:focus,
.navbar.navbar-second .navbar-toggle:link {
    padding: 12px 12px;

    border: 1px solid #c9aa60;
    background-color: transparent;
}

.navbar.navbar-second .navbar-toggle:hover {
    border-color: #f9da90;
}

.navbar.navbar-second .navbar-toggle span,
.navbar.navbar-second .navbar-toggle:focus span,
.navbar.navbar-second .navbar-toggle:link span {
    background-color: #c9aa60;
}

.navbar.navbar-second .navbar-toggle:hover span {
    background-color: #f9da90;
}

.navbar.navbar-second .navbar-collapse {
    border: 0;
    box-shadow: unset;

    text-align: center;
}

.navbar-second .dropdown:hover .dropdown-menu {
    display: block;
}

.navbar-second .navbar-nav > .open > a,
.navbar-second .navbar-nav > .open > a:focus,
.navbar-second .navbar-nav > .open > a:hover {
    text-align: right;

    background-image: none;
    background-color: transparent;

    box-shadow: unset;

    color: #995a10;
}

.navbar-second .dropdown-menu {
    position: absolute;
    border: 0;

    background-color: rgba(0, 0, 0, .9);
    background-image: none;

    box-shadow: unset;
}

.navbar-second .open .dropdown-menu {
    position: relative;
    border: 0;

    background-color: transparent;
    background-image: none;

    box-shadow: unset;
}

.navbar-second .dropdown-menu > li {
    display: block;
    text-align: right;
}

.navbar-second .dropdown-menu > li > a,
.navbar-second .dropdown-menu > li > a:focus {
    text-align: left;
}

.navbar-second .dropdown-menu > li > a:hover,
.navbar-second .dropdown-menu > .active > a,
.navbar-second .dropdown-menu > .active > a:focus,
.navbar-second .dropdown-menu > .active > a:hover {
    text-align: left;
    color: #995a10;

    background-image: none;
    background-color: transparent;
}

div.faded {
    text-align: center;
    position: fixed;
    left: 0px;
    top: 0px;
    display: none;
    width: 100%;
    height: 100% !important;
    background-color: rgba(0, 0, 0, 0.75);
    z-index: 9999;
}

div.faded .close-but {
    text-align: right;
    display: block;
    cursor: pointer;
    font-size: 50px;
    padding-top: 25px;
    padding-right: 40px;
    color: white;
    width: 100%;
}

div.faded .close-but:hover {
    opacity: 0.75;
}

div.faded .window {
    word-wrap: break-word;
    text-align: left;
    border: 1px solid rgba(32, 16, 0, 1);
    border-radius: 8px;
    background-color: white;
    width: 300px;
    color: black;
}

div.faded .window .title {
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    width: 100%;
    color: white;
    padding: 10px;
    background-image: url('../img/head4.png');
    background-size: 100% 100%;
    font-weight: bold;
}

div.faded .window .desc {
    width: 100%;
    padding: 10px;
}

div.faded .window .foot {
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    text-align: right;
    background-color: rgba(192, 192, 192, 1);
    width: 100%;
    padding: 10px;
}

.body {
    margin-top: 30px;
    padding: 15px;
    position: relative;

    background: transparent;
    background-image: url('../img/bg-color.png');
    background-repeat: repeat;

    border-color: transparent;

    min-height: 150px;
}

p {
    font-family: 'TrajanPro-Regular';
    color: white;
}

footer {
    margin-top: 50px;
    margin-bottom: 30px;
}

footer .copyright {
    position: relative;
    z-index: 1;

    width: 100%;

    font-family: 'TrajanPro-Regular';
    font-size: 12px;

    color: #ccc;
}

.gameVersion {
    font-size: 12px;
    color: #ccc;
}

.rules b {
    display: inline-block;
    font-size: 24px;

    color: #997a30;

    margin-top: 30px;
    margin-bottom: 10px;
}

.red {
    color: #cc5555;
}

.the-error-msg {
    display: block;
    text-align: center;

    padding-top: 15px;
    padding-bottom: 15px;

    color: #ff9999;
}

.the-success-msg {
    display: block;
    text-align: center;

    padding-top: 15px;
    padding-bottom: 15px;

    color: #99ff99;
}

.the-warning-msg {
    display: block;
    text-align: center;

    padding-top: 15px;
    padding-bottom: 15px;

    color: #ffff77;
}

.prog {
    position: relative;
    height: 28px;

    background-color: black;
    padding: 0px;

    border-radius: 5px;
}

.prog .border-up {
    z-index: 1;
}

.hpbar {
    position: absolute;
    z-index: 0;

    height: 28px;

    background-color: #bb1111;
    border-radius: 5px;
}

.epbar {
    position: absolute;
    z-index: 0;

    height: 28px;

    background-color: #1111bb;
    border-radius: 5px;
}

.prog > span {
    position: absolute;
    z-index: 2;

    top: 0px;
    width: 100%;

    margin-top: 6px;

    text-align: center;
}

.cookies-info {
    padding-top: 15px;
    padding-bottom: 15px;

    position: fixed;
    z-index: 99;

    bottom: 0;
    left: 0;

    text-align: center;
    background-color: white;
    color: black;

    width: 100%;
}

#shoutboxTab {
    padding-top: 15px;
    padding-bottom: 15px;

    text-align: center;
}

#shoutboxRow {
    display: block;
    position: relative;

    margin-top: 15px;
    margin-bottom: 15px;

    width: 100%;
    min-height: 50px;
}

.shoutboxDivider {
    height: 50px;

    background-image: url('../img/border-up.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 100% 50px;
}


.under-border #divider {
    height: 50px;

    background-image: url('../img/border-up.png');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 100% 50px;
}


.info-block b {
	display: block;
	font-size: 25px;
	padding: 13px 0px 0px 0px;
}

.info-block span {
	display: block;
	padding: 0px 0px 6px 0px;
	font-size: 10px;
}

.info-block {
	margin-top: 10px;
	margin-bottom: 15px;
	display: block;
	background: rgba(0,0,0,.5);
	color: #ffffff;
	font-size: 11px;
	border-radius: 2px;
	width: auto;
	text-align: center;
	text-transform: uppercase;
	font-weight: bold;
	line-height: 22px;
	cursor: default;
	padding-left: 15px;
	padding-right: 15px;
}

.info-block:hover {
	display: block;
	font-size: 11px;
	border-radius: 2px;
	width: auto;
	text-align: center;
	text-transform: uppercase;
	font-weight: bold;
	line-height: 22px;
	padding-left: 15px;
	padding-right: 15px;
	cursor: default;
    color: #f9ca80;
}

.card_template {
    position: relative;

    width: 300px;
    height: 565px;

    display: inline-block;
    overflow: hidden;
}

.card_template .card_up {
    width: 300px;
    height: 565px;

    display: inline-block;
    overflow: hidden;

    position: absolute;
    left: 0;
    top: 0;

    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;

    z-index: 9999;
}

.card_template .card_up.stars1 {
    background-image: url('../img/card_template1.png');
}

.card_template .card_up.stars2 {
    background-image: url('../img/card_template2.png');
}

.card_template .card_up.stars3 {
    background-image: url('../img/card_template3.png');
}

.card_template .card_up.stars4 {
    background-image: url('../img/card_template4.png');
}

.card_template .card_up.stars5 {
    background-image: url('../img/card_template5.png');
}

.card_template .card_up.stars6 {
    background-image: url('../img/card_template6.png');
}

.card_template .card_up.stars7 {
    background-image: url('../img/card_template7.png');
}

.card_template .card_up.stars8 {
    background-image: url('../img/card_template8.png');
}

.card_template .image_holder {
    position: absolute;
    top: 12px;
    left: 10px;

    width: 280px;
    height: 348px;

    display: inline-block;
    overflow: hidden;

    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.card_template .text {
    position: absolute;
    left: 10px;
    top: 360px;

    width: 280px;
    height: 188px;

    display: inline-block;
    overflow: hidden;

    background-color: black;
}

.card_template progress.xp {
    position: relative;

    border-radius: 2px;
    width: 90%;
    height: 32px;

    background-color: black;
    border-color: white;
}

.card_template .text .xp-i {
    position: relative;
    margin-top: 10px;
}

.card_template .text .xp-i span {
    position: relative;
    top: -32px;

    color: white;
}

.card_template progress.xp::-moz-progress-bar,
.card_template progress.xp::-webkit-progress-bar {
    background-color: #448800;
    color: white;
}


.content1 .norm_box {
    background: #232323;
    color: white;
    padding: 10px;
    text-align: center;
    height: 150px;

    -webkit-transition: background 2s;
    transition: background 2s;
}

.content1 .stat_box {
    background: #121212;
    color: white;
    padding: 10px;
    text-align: center;
    height: 150px;

    -webkit-transition: background 2s;
    transition: background 2s;
}

.content1 .stat_box:hover {
    background: #4d0a0c;
}

.content1 .stat_box.active:hover {
    background: #2d6a3c;
    cursor: pointer;
}

.content1 .stat_box .icon, .content1 .norm_box .icon {
	font-size: 36px;
}

.modal-content {
    background-color: transparent;
}

.modal-content .modal-header,
.modal-content .modal-body,
.modal-content .modal-footer {
    background-color: rgba(0,0,0,.8);
    border-color: #f9ca80;
}

.modal-content textarea,
.modal-content input[type="text"],
.modal-content input[type="password"],
.modal-content input[type="email"] {
    width: 100%;

    margin-top: 5px;
    margin-bottom: 5px;

    padding: 8px 12px;

    border: 0;

    background-color: transparent;

    text-align: left;
    color: #c99a50;
}

.modal-content textarea:hover,
.modal-content textarea:focus,
.modal-content input[type="text"]:hover,
.modal-content input[type="password"]:hover,
.modal-content input[type="text"]:focus,
.modal-content input[type="password"]:focus {
    color: #f9ca80 !important;
}

.modal-content textarea {
    text-align: left;
    resize: vertical;
}

.event-body {
    margin-top: 30px;
    padding: 15px;
    position: relative;

    background: transparent;
    background-image: url('../img/bg-color.png');
    background-repeat: repeat;

    border-color: transparent;

    min-height: 150px;
    filter: hue-rotate(-60deg);
}

.event-body2 {
    margin-top: 30px;
    padding: 15px;
    position: relative;

    background: transparent;
    background-image: url('../img/bg-color.png');
    background-repeat: repeat;

    border-color: transparent;

    min-height: 150px;
    filter: hue-rotate(-20deg);
}

.event-body3 {
    margin-top: 30px;
    padding: 15px;
    position: relative;

    background: transparent;
    background-image: url('../img/bg-color.png');
    background-repeat: repeat;

    border-color: transparent;

    min-height: 150px;
    filter: hue-rotate(120deg);
}

.event-body4 {
    animation: "degreeHue" 2s linear 0s infinite alternate;

    margin-top: 30px;
    padding: 15px;
    position: relative;

    background: transparent;
    background-image: url('../img/bg-color.png');
    background-repeat: repeat;

    border-color: transparent;

    min-height: 150px;
}

.event-body .under-border {
    filter: hue-rotate(60deg);
}

.event-body2 .under-border {
    filter: hue-rotate(20deg);
}

.event-body3 .under-border {
    filter: hue-rotate(-120deg);
}

.event-body4 .under-border {
    animation: "degreeHueR" 2s linear 0s infinite alternate;
}

.event-body .button {
    filter: hue-rotate(-60deg);
}

.event-body2 .button {
    filter: hue-rotate(-20deg);
}

.event-body3 .button {
    filter: hue-rotate(120deg);
}

.event-body4 .button {
    animation: "degreeHue" 2s linear 0s infinite alternate;
}

.skill_box a {
    display: inline-block;
}

.popover {
    color: black;
}

a.nav-but,
a.nav-but:link {
    display: inline-block;

    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    padding-bottom: 5px;

    margin-bottom: 10px;
    margin-right: 10px;
}

a.nav-but.active {
    color: #f9ca80;
}

#gameElement {
    position: fixed;
    left: 0;
    top: 0;

    z-index: 1000;

    background-color: rgba(0,0,0,.5);

    width: 100%;
    height: 100%;

    overflow: hidden;
}

canvas, #teleportItem, #catchItem, [id^='quest_'] {
    transition: left .1s linear, top .1s linear;
}

.popover_dimenshon {
    width: 100%;
    max-width: 400px;
    z-index: 9999;
}

.popover_dimenshon #divider {
    height: 15px;
    margin-bottom: 5px;
}

.popover_dimenshon .body {
    background-color: rgba(0, 0, 0, .7);
}

.popover_dimenshon .title {
    text-align: center;
    font-size: 14px;

    margin-bottom: 5px;
}

.popover_dimenshon .content {
    font-size: 12px;
    text-align: center;

    height: 100%;
    max-height: 200px;

    overflow: auto;
}

.popover_dimenshon .footer {
    text-align: center;
}

.popover_dimenshon .footer .button {
    font-size: 12px;
}

.popover_dimenshon .footer .text-danger {
    margin-top: 10px;
}

.popover_dimenshon .footer .text-success {
    margin-top: 10px;
}

.tooltip {
    z-index: 99999 !important;
}

.questBlock {
    position: relative;
    width: 100%;

    margin-top: 10px;
    margin-bottom: 10px;

    padding-top: 10px;
    padding-bottom: 10px;
}

#battleWindow {
    position: absolute;

    width: 100%;
    height: 100%;

    left: 0px;
    top: 0px;
    z-index: 200000;
}

.textbox {
    background-color: black;
    color: white;

    border: 1px solid white;

    position: absolute;
    
    bottom: 0px;
    left: 0px;
    
    width: 100%;
    height: 200px;

    z-index: 99999;
}

.textbox img {
    width: 100%;
    max-width: 170px;

    margin-top: 15px;
    margin-left: 15px;
}

.textbox p {
    height: auto;
    overflow: auto;
}

.textbox .actionButton {
    display: block;
}

.bag {
    overflow: auto !important;
}

.bag .item-box {
    width: 110px;
    height: 110px;

    margin-right: 10px;
    margin-top: 10px;

    background-color: black;
    display: inline-flex;

    border-radius: 8px;

    justify-content: center;
    align-items: center;
    vertical-align: middle;
}

.contextMenu {
    display: inline-block;
    position: absolute;
    left: 0;
    top: 0;

    z-index: 999999;

    width: 240px;
    padding: 15px;

    background-color: black;
    color: white;

    border: 1px solid white;
}

.contextMenu a,
.contextMenu a:link {
    color: #dfdfdf;
}

.contextMenu a:hover,
.contextMenu a:focus {
    color: white;
}

@media(max-width: 991px){
    .navbar-second .navbar-nav > .open > a,
    .navbar-second .navbar-nav > .open > a:focus,
    .navbar-second .navbar-nav > .open > a:hover {
        text-align: center;
    }

    .navbar.navbar-first img {
        width: 200px;
    }

    .navbar.navbar-first .pull-right {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .navbar.navbar-first {
        font-size: 12px;
    }
}

@media(max-width: 767px)
{
    .navbar.navbar-first img {
        margin-left: -2%;
        width: 100%;
    }

    .navbar.navbar-first .pull-right {
        float: left;
    }
}
